# Enrich Contacts

Enrich contacts with PII fields (email, phone) by ID. A maximum of 20 IDs may be enriched per request.

Endpoint: POST /data-api/v2/contacts/enrich
Security: authorization

## Request fields (application/json):

  - `fields` (array, required)
    Fields to enrich for each contact.

  - `ids` (array, required)
    List of contact IDs to enrich. A maximum of 20 IDs may be enriched per request.

## Response 200 fields (application/json):

  - `contacts` (array, required)

  - `contacts.company_id` (string)
    The ID of the contact's company.

  - `contacts.company_name` (string)
    The name of the contact's company.

  - `contacts.email` (string)
    The enriched email address.

  - `contacts.email_status` (string)
    The deliverability status of the email.

  - `contacts.first_name` (string)
    The contact's first name.

  - `contacts.full_name` (string)
    The contact's full name.

  - `contacts.id` (string, required)
    The contact ID.

  - `contacts.last_name` (string)
    The contact's last name.

  - `contacts.linkedin_url` (string)
    The contact's LinkedIn profile URL.

  - `contacts.phone` (string)
    The enriched phone number.

  - `contacts.status` (string, required)
    The enrichment status for the contact.
    Enum: "enriched", "not_found", "missing_pii"

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.detail` (string, required)
    Example: The api key provided is not valid

  - `errors.source` (string)

  - `errors.title` (string, required)
    Example: Unauthorized

## Response 422 fields (application/json):

  - `errors` (array, required)

  - `errors.detail` (string, required)
    Example: null value where string expected

  - `errors.source` (object, required)

  - `errors.source.pointer` (string, required)
    Example: /data/attributes/petName

  - `errors.title` (string, required)
    Example: Invalid value

